<?php

declare(strict_types=1);

namespace KimaAI\Ai\Providers\OpenAI\Endpoint;

use KimaAI\Ai\Providers\OpenAI\OpenAiClient;


final class Images {
  /**
   * OpenAI client wrapper.
   *
   * @var OpenAiClient
   */
  private OpenAiClient $client;

  public function __construct(OpenAiClient $client) {
    $this->client = $client;
  }

  public function create(array $params): array {
    return $this->client->request('POST', '/images/generations', $params);
  }
}
